
Foreman - Bug #498

facts not displayed for openvz guests

12/08/2010 03:43 AM - Chris ECN

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Importers   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

My physical hosts show their facts correctly in foreman, however the openvz guests do not display facts at the following URLS:

/hosts/ >  Operating system, Environment, Model  < These columns are blank

/hosts/$hostname > IP Address, Puppet Environment, Host Architecture, Host Operating System < these entries are blank

If I select 'Facts' for one of these hosts, I see all of the facts correctly, however, they do not have a 'productname' fact

History

#1 - 12/08/2010 04:24 AM - Ohad Levy

can you please upload an example fact file of an openvz machine?

#2 - 12/08/2010 04:35 AM - Chris ECN

- File ldap-tp-01.ecntelecoms.za.net.yaml added

File Attached

#3 - 04/21/2011 10:34 AM - keith obrien

I just wanted to confirm that I am having the same issue.

Please let me know if there is any additional information you would like about my setup.

Thanks,

Keith.

#4 - 04/21/2011 03:25 PM - Ohad Levy

I've just had a look, and it seems that the latest git version solves this issue.

can you please give it a try and confirm?

thanks

#5 - 04/29/2011 10:40 AM - keith obrien

Confirm fix using git source. Nightly did not yet have the fix.

Thanks,

Keith.

#6 - 05/01/2011 07:26 AM - Ohad Levy

keith obrien wrote:

Confirm fix using git source. Nightly did not yet have the fix.
 thanks.. nightly is generated automatically once a day, maybe you fetched it before :)

#7 - 05/01/2011 07:26 AM - Ohad Levy

- Category set to Importers

- Status changed from New to Closed

- Assignee set to Ohad Levy

- Target version set to 0.3

Files

ldap-tp-01.ecntelecoms.za.net.yaml 2.72 KB 12/08/2010 Chris ECN
